This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 113340 - hpux glob.h defines _GLOB_INCLUDED not _GLOB_H
hpux glob.h defines _GLOB_INCLUDED not _GLOB_H
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
8.0
parisc11 Linux
medium Severity low
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 16:23 EST by Dano Carroll
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-15 18:58:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to misc/glob.h (381 bytes, patch)
2004-01-12 16:25 EST, Dano Carroll
no flags Details | Diff
Defines hpux specific _GLOB_INCLUDED include guard (287 bytes, patch)
2004-01-22 14:26 EST, Dano Carroll
no flags Details | Diff

  None (edit)
Description Dano Carroll 2004-01-12 16:23:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.2.1)
Gecko/20021130

Description of problem:
The hp-ux provided glob.h include file defines _GLOB_INCLUDED, not
_GLOB_H, which is what the rpm glob.h checks. The following error results:

source='digest.c' object='digest.lo' libtool=yes \
depfile='.deps/digest.Plo' tmpdepfile='.deps/digest.TPlo' \
depmode=gcc3 /bin/sh ../depcomp \
/bin/sh ../libtool --mode=compile /usr/local/bin/gcc -DHAVE_CONFIG_H
-I. -I. -I.. -I. -I.. -I../popt -I../zlib    -g -O2 -D_GNU_SOURCE
-D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes
-Wmissing-prototypes -Wno-char-subscripts -c -o digest.lo `test -f
'digest.c' || echo './'`digest.c
mkdir .libs
/usr/local/bin/gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../popt
-I../zlib -g -O2 -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith
-Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -c
digest.c -MT digest.lo -MD -MP -MF .deps/digest.TPlo  -fPIC -DPIC -o
.libs/digest.lo
In file included from rpmio.h:13,
                 from rpmio_internal.h:9,
                 from digest.c:6:
/usr/include/glob.h:22: error: conflicting types for `glob_t'
../misc/glob.h:125: error: previous declaration of `glob_t'
/usr/include/glob.h:40: error: conflicting types for `glob'
../misc/glob.h:157: error: previous declaration of `glob'
/usr/include/glob.h:41: error: conflicting types for `globfree'
../misc/glob.h:160: error: previous declaration of `globfree'

The included patch corrects the misc/glob.h file in rpm to check
_GLOB_INCLUDED.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Extract source from tar file
2. Apply patches from bugs 97662, 97887, 97907, 101717
3. ./configure --prefix=/usr/local --without-python (I don't think the
options
matter, thought)
4. make  

Additional info:
Comment 1 Dano Carroll 2004-01-12 16:25:57 EST
Created attachment 96906 [details]
patch to misc/glob.h
Comment 2 Jeff Johnson 2004-01-16 13:17:00 EST
Your patch might work for hpux, not otherwise. Can you remedy please?
Comment 3 Dano Carroll 2004-01-22 14:26:39 EST
Created attachment 97183 [details]
Defines hpux specific _GLOB_INCLUDED include guard
Comment 4 Dano Carroll 2004-01-22 14:27:49 EST
Attached is a replacement patch that works and plays better with other
oses.
Comment 5 Jeff Johnson 2005-11-15 18:58:41 EST
Fixed in rpm cvs, should be in rpm-4.4.3-0.50 when built. Thanks for the patch and patience.

Note You need to log in before you can comment on or make changes to this bug.